TimeLimitExceededException (Java Platform SE 8 )
Keywords: javax.naming.TimeLimitExceededException class
Date: 2016-12-09

compact3
javax.naming

## Class TimeLimitExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.LimitExceededException
        - - javax.naming.TimeLimitExceededException

- All Implemented Interfaces:
    Serializable

      public class TimeLimitExceededException
      extends LimitExceededException

  This exception is thrown when a method does not terminate within the specified time limit. This can happen, for example, if the user specifies that the method should take no longer than 10 seconds, and the method fails to complete with 10 seconds.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeLimitExceededException()` Constructs a new instance of TimeLimitExceededException.
    `TimeLimitExceededException(String explanation)` Constructs a new instance of TimeLimitExceededException using the argument supplied.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeLimitExceededException

          public TimeLimitExceededException()

      Constructs a new instance of TimeLimitExceededException. All fields default to null.

    - #### TimeLimitExceededException

          public TimeLimitExceededException(String explanation)

      Constructs a new instance of TimeLimitExceededException using the argument supplied.
      Parameters:
        `explanation` - possibly null detail about this exception.
      See Also:
        `Throwable.getMessage()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.